Skip to main content
GET
/
api
/
v2
/
limits
Get Swap Route Limits
curl --request GET \
  --url https://api.layerswap.io/api/v2/limits \
  --header 'X-LS-APIKEY: <api-key>'
import requests

url = "https://api.layerswap.io/api/v2/limits"

headers = {"X-LS-APIKEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-LS-APIKEY': '<api-key>'}};

fetch('https://api.layerswap.io/api/v2/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "metadata": {}
  },
  "data": {
    "min_amount_in_usd": 123,
    "min_amount": 123,
    "max_amount_in_usd": 123,
    "max_amount": 123
  }
}

Authorizations

X-LS-APIKEY
string
header
required

Headers

X-LS-APIKEY
string
default:NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q

Query Parameters

source_network
string
required
source_token
string
required
destination_network
string
required
destination_token
string
required
use_deposit_address
boolean
refuel
boolean

Response

200 - application/json

Success

error
object
data
object